2 Replies Latest reply: Jul 10, 2012 12:26 PM by Roel RSS

    Oracle APEX 4.1 supported in VMWare?

    948509
      We are working on a project to consolidate servers in our data center and I'm trying to confirm if Oracle APEX is supported on VMWare servers. Is any official documentation from Oracle on this?
        • 1. Re: Oracle APEX 4.1 supported in VMWare?
          Roel
          The question is not whether APEX is supported, but whether the Oracle Database you're using is supported...
          And AFAIK it is not officially supported. If you encounter something that you think is a bug, you have to reproduce it on a non-VM (or Oracle VM) environment on the same operating system.
          So the risk is minimal...
          • 2. Re: Oracle APEX 4.1 supported in VMWare?
            Arie Geller
            Hello,

            >> I'm trying to confirm if Oracle APEX is supported on VMWare servers

            APEX is actually a collection of PL/SQL packages running on the database. As this is an Oracle self-development, I don’t believe you’ll find a specific APEX support certification. The APEX download page on OTN - http://www.oracle.com/technetwork/developer-tools/apex/downloads/index.html - lists all the platforms and database versions that support the installation of APEX. If your environment is included, you should look for Oracle VMWare support for this specific platform.

            The following, by Tom Kyte, includes several references to articles on the subject, including one in metalink (My Oracle Support), which may be considered an “official documentation” .

            http://asktom.oracle.com/pls/apex/f?p=100:11:0::::P11_QUESTION_ID:3349156100346022101

            Hope this helps,
            Arie.

            P.S

            Just saw Roel post:

            >> If you encounter something that you think is a bug, you have to reproduce it on a non-VM (or Oracle VM) environment on the same operating system

            According to Tom this is not the official policy, although Oracle changed its VMWARE support policy several times in the past, so you should check what is the current policy.

            -------------------------------------------------------
            ♦ Please remember to mark appropriate posts as correct/helpful. For the long run, it will benefit us all.

            ♦ Author of Oracle Application Express 3.2 – The Essentials and More